local broker = LibStub("LibDataBroker-1.1")

local SelfRegen = broker:NewDataObject("Broker_Regen", {icon = [[Interface\Icons\Spell_Nature_Lightning]], type = "data source"})

local floor = math.floor

-- Update Mana Numbers
function SelfRegen:Update()
	local base, casting = GetManaRegen()
	local combat = InCombatLockdown()
	base = floor(base * 5.0)
	casting = floor(casting * 5.0)

	self.text =  ("|cff4040ff%d|r %s |cff8080ff%d|r"):format(base, (combat and ">" or "<"), casting)
end

local frame = CreateFrame("Frame")

local FREQUENCY = 0.50 -- Base Quanta
local difference = FREQUENCY

frame:SetScript("OnUpdate", function(frame,elapsed)
	difference = difference - elapsed
	if difference < 0 then
	    difference = FREQUENCY    
    	SelfRegen:Update()
		return
	end
end)

